Upgrade imagemagick - Thumbnailing of files with question marks ("?") in their names broken
Closed, ResolvedPublic

Description

It seems thumbnailing of files with question marks in their names in broken on Commons as of recently. See discussion here:

http://commons.wikimedia.org/w/index.php?title=Commons:Administrators%27_noticeboard&oldid=38497461#File:Domine.2C_quo_vadis.3F.jpg

Some example files:

http://commons.wikimedia.org/wiki/File:4%3F%3F%3F%3F_Kopie.jpg
http://commons.wikimedia.org/wiki/File:D%3FK.png
http://commons.wikimedia.org/wiki/File:Somewhere_in_norway%3F.jpg

The error message I get when trying to view one of the broken thumbnails is:

Error creating thumbnail: convert: unable to open image `/mnt/upload6/wikipedia/commons/9/94/D\?K.png': No such file or directory.
convert: unable to open file `/mnt/upload6/wikipedia/commons/9/94/D\?K.png'.
convert: missing an image filename `/mnt/thumbs/wikipedia/commons/thumb/9/94/D?K.png/600px-D?K.png'.

I'd suspect the recent deployment of r65467, but have not been able to reproduce the bug on my local wiki so far.


Version: unspecified
Severity: major
URL: http://commons.wikimedia.org/wiki/File:TEST%3F.png

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz23361.
Ilmari_Karonen created this task.Via LegacyMay 1 2010, 1:00 AM
Ilmari_Karonen added a comment.Via ConduitMay 1 2010, 1:16 AM

It seems existing thumbs continue to be served correctly as long as no-one purges them. According to the 7 April 2010 dump, there are 748 potentially affected files on Commons. List here:

http://commons.wikimedia.org/wiki/User:Ilmari_Karonen/%3F

tstarling added a comment.Via ConduitMay 1 2010, 9:57 PM

Yes it's caused by r65467. It can be fixed by deploying an updated ImageMagick, including r1719 and r1736:

http://trac.imagemagick.org/changeset/1719/ImageMagick/trunk/magick/token.c
http://trac.imagemagick.org/changeset/1736/ImageMagick/trunk/magick/token.c

Ilmari_Karonen added a comment.Via ConduitMay 2 2010, 1:59 AM

Oh, OK. I thought we were maintaining compatibility with old ImageMagick versions, though (see e.g. bug 11822). Is this something that just _can't_ be fixed on our end without introducing a bleeding-edge ImageMagick dependency? If so, it should at least be very clearly noted in the release notes.

(I suspect I'm missing some detail here, though, since I don't seem to be able to reproduce this bug on my own wiki, and I'm pretty sure my hosting provider hasn't updated ImageMagick that recently.)

tstarling added a comment.Via ConduitJun 8 2010, 6:08 AM

There is no way to uniquely specify source images that have question marks in their names, before the ImageMagick bug fix. Documented in RELEASE-NOTES as requested in r67591.

bzimport added a comment.Via ConduitJun 18 2010, 8:26 PM

Bryan.TongMinh wrote:

Is bug 23963 related, or is that a different problem?

Platonides added a comment.Via ConduitJun 18 2010, 8:29 PM

*** Bug 23963 has been marked as a duplicate of this bug. ***

Platonides added a comment.Via ConduitJun 18 2010, 8:31 PM

It's the same issue. Changing to a shell request to upgrade ImageMagick to 6.6.1-5 or later.

tstarling added a comment.Via ConduitAug 11 2010, 9:14 AM

Are there any test cases left that Commons admins haven't destroyed?

tstarling added a comment.Via ConduitAug 11 2010, 12:27 PM

Fixed now, I deployed 6.6.2-6.

Add Comment